<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.njcn.product.cnuser.user.mapper.SysUserRoleMapper">


    <select id="getRoleListByUserId" resultType="com.njcn.product.cnuser.user.pojo.po.SysRole">
        select b.*
        from sys_user_role a
                 inner join sys_role b on a.Role_Id = b.id
        where a.User_Id = #{userId}
          and b.state = 1
    </select>
</mapper>

